- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarSettings/legacyGetPlaybookActionDefinitions#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarSettings/legacyGetPlaybookActionDefinitions#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarSettings/legacyGetPlaybookActionDefinitions#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarSettings/legacyGetPlaybookActionDefinitions#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarSettings/legacyGetPlaybookActionDefinitions#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarSettings/legacyGetPlaybookActionDefinitions#body.LegacyGetPlaybookActionDefinitionsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarSettings/legacyGetPlaybookActionDefinitions#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarSettings/legacyGetPlaybookActionDefinitions#body.aspect_1)

**Full name**: projects.locations.instances.legacySoarSettings.legacyGetPlaybookActionDefinitions

Returns a list of action definitions available for the specified environments. This includes detailed metadata about each action's parameters and integration instances.

### HTTP request

`POST https://{endpoint}/v1alpha/{instance}/legacySoarSettings:legacyGetPlaybookActionDefinitions`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `instance` | `string` Required. The name of the parent resource, which is the SecOps instance to get the environment statistics for. Format: projects/{project}/locations/{location}/instances/{instance} |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "legacyPayload": [ string ] } ``` |

| Fields ||
|---|---|
| `legacyPayload[]` | `string` Required. The environments to get the playbook action definitions for. |

### Response body

Response message for LegacySoarSettingService.LegacyGetPlaybookActionDefinitions.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "payload": [ { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/LegacyApiActionDefinitionDataModel`) } ] } ``` |

| Fields ||
|---|---|
| `payload[]` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/LegacyApiActionDefinitionDataModel`)`` Optional. The playbook action definitions. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `instance` resource:

- `chronicle.legacySoarSettings.get`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).